dbplus_freealllocks
dbplus_freerlocks
DB++ Functions
PHP Manual

# dbplus_freelock

Release write lock on tuple

### Description

int dbplus_freelock ( resource `$relation` , string `$tuple` )

Releases a write lock on the given `tuple` previously obtained by dbplus_getlock.

### Parameters

`relation`

  A relation opened by dbplus_open.

`tuple`

### Return Values

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- dbplus_getlock
- dbplus_freerlocks
- dbplus_freealllocks